## org.apache.myfaces.custom.schedule.model
Class Day

    java.lang.Object
      org.apache.myfaces.custom.schedule.model.Day

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

Direct Known Subclasses:
  ScheduleDay

public class Day
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

This class represents a day in the Schedule component

Version:
  $Revision$
Author:
  Jurgen Lust (latest modification by $Author$)
See Also:
  Serialized Form

Constructor Summary
`Day(java.util.Date date)` Creates a new Day object.

Method Summary
`int` `compareTo(java.lang.Object o)`
`boolean` `equals(java.lang.Object o)`
`boolean` `equalsDate(java.util.Date date)` Check if the specified date is on this day
`java.util.Date` `getDate()`
`java.util.Date` `getDayEnd()`
`java.util.Date` `getDayStart()`
`java.lang.String` `getSpecialDayName()` If this day is a holiday of some kind, this gets the name
`int` `hashCode()`
`boolean` `isWorkingDay()` Is this day a working day?
`void` `setSpecialDayName(java.lang.String specialDayName)` If this day is a holiday of some kind, this sets the name
`void` `setWorkingDay(boolean workingDay)` Is this day a working day?

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Day

    public Day(java.util.Date date)

  Creates a new Day object.

Parameters:
  `date` - the date
Throws:
  `java.lang.NullPointerException` - when the date is null

Method Detail

### getDate

    public java.util.Date getDate()

  Returns:
    Returns the date.

### getDayEnd

    public java.util.Date getDayEnd()

  Returns:
    Returns 12PM of this day

### getDayStart

    public java.util.Date getDayStart()

  Returns:
    Returns 0AM of this day

### setSpecialDayName

    public void setSpecialDayName(java.lang.String specialDayName)

  If this day is a holiday of some kind, this sets the name

  Parameters:
    `specialDayName` - The specialDayName to set.

### getSpecialDayName

    public java.lang.String getSpecialDayName()

  If this day is a holiday of some kind, this gets the name

  Returns:
    Returns the specialDayName.

### setWorkingDay

    public void setWorkingDay(boolean workingDay)

  Is this day a working day?

  Parameters:
    `workingDay` - The workingDay to set.

### isWorkingDay

    public boolean isWorkingDay()

  Is this day a working day?

  Returns:
    Returns the workingDay.

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  See Also:
    `Comparable.compareTo(java.lang.Object)`

### equals

    public boolean equals(java.lang.Object o)

  See Also:
    `Object.equals(java.lang.Object)`

### equalsDate

    public boolean equalsDate(java.util.Date date)

  Check if the specified date is on this day

  Parameters:
    `date` - the date to check
  Returns:
    if the date is on this day

### hashCode

    public int hashCode()

  See Also:
    `Object.hashCode()`